Subject: [alsa-devel] [PATCH] ASoC: atmel-pcm-dma: increase buffer_bytes_max

From: [email-masked] (Lars-Peter Clausen)
Date: Tue, 31 Mar 2015 09:39:30 +0200

On 03/30/2015 09:40 PM, Alexandre Belloni wrote:
> atmel-pcm-dma is not limited to a buffer size of 64kB like atmel-pcm-pdc.
> Increase buffer_bytes_max to 512kB to allow for higher bit rates (i.e. 32bps at
> 192kHz) to work correctly. By default, keep the prealloc at 64kB.

Patch per se looks good. But can you test if it works to just throw 
atmel_pcm_dma_hardware away completely and rely on the dmaengine PCM driver 
getting the capabilities directly from the DMA driver. Since the DMA driver 
now reports its capabilities I think it should work, and if it does that's 
the preferred solution.

- Lars